function busca_avancada() {

	var local = document.getElementById("local").value;
	var chave = document.getElementById("chave").value;

	if(local == "id" || local == "email") {
		var tipo = "subrevendas";
	} else {
		var tipo = "streamings";
	}

	window.location = "/admin/revenda-"+tipo+"/resultado/"+local+"/"+chave;
}

function getRandomNum(lbound, ubound) {
return (Math.floor(Math.random() * (ubound - lbound)) + lbound);
}
function getRandomChar() {
var numberChars = "0123456789";
var lowerChars = "abcdefghijklmnopqrstuvwxyz";
var upperChars = "ABCDEFGHIJKLMNOPQRSTUVWXYZ";
//var otherChars = "!@#$%&*()-_=+[{]}\\|;:\<.>/?";
var charSet;

charSet += numberChars;
charSet += lowerChars;
charSet += upperChars;
//charSet += otherChars;
return charSet.charAt(getRandomNum(0, charSet.length));
}

function gerar_senha(campo) {
var rc = "";
var length = 10;
if (length > 0)
rc = rc + getRandomChar();
for (var idx = 1; idx < length; ++idx) {
rc = rc + getRandomChar();
}
document.getElementById(campo).value = rc;
}

// Função para bloquear teclacapslock
function bloquear_capslock(ev,campo) {

	var e = ev || window.event;
	codigo_tecla = e.keyCode?e.keyCode:e.which;
	tecla_shift = e.shiftKey?e.shiftKey:((codigo_tecla == 16)?true:false);
	if(((codigo_tecla >= 65 && codigo_tecla <= 90) && !tecla_shift) || ((codigo_tecla >= 97 && codigo_tecla <= 122) && tecla_shift)) {
		alert("Ooops!\n\nA tecla CapsLock esta ativada!\n\nVocê deve desativar esta tecla para escrever corretamente os dados neste campo.");
		document.getElementById(campo).value = "";
	}

}

function configurar_ilimitados( campo ) {

if(document.getElementById(campo+"_ilimitados").checked) {
document.getElementById(campo).value = '999999';
} else {
document.getElementById(campo).value = '';
}

}

// Função para contar a quantidade de caracteres digitados num campo
function contar_caracteres( campo, maximo ) {
	
	var total_digitado = document.getElementById(campo).value.length;	
	document.getElementById('total_caracteres').innerHTML = maximo - total_digitado;

}

function selecionar_servidor(codigo_servidor) {
	
for(var x=0; x < document.mover.servidor_novo.length; x++) {

	for(var y=0; y < document.mover.servidor_novo[x].length; y++) {

		if(document.mover.servidor_novo[x].options[y].value == codigo_servidor) {
			document.mover.servidor_novo[x].options[y].selected = true;
		}
	}
}

}

function selecionar_revenda(codigo_revenda) {
	
for(var x=0; x < document.mover.revenda_nova.length; x++) {

	for(var y=0; y < document.mover.revenda_nova[x].length; y++) {

		if(document.mover.revenda_nova[x].options[y].value == codigo_revenda) {
			document.mover.revenda_nova[x].options[y].selected = true;
		}
	}
}

}